Subject: Re: [PATCH] gnu: emacs-haskell-mode: Fix build.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 20 May 2022 23:57:11 +0200

Am Samstag, dem 21.05.2022 um 05:59 +0900 schrieb Taiju HIGASHI:
> Hi Liliana,
> > > > +-  "Generate a regex for searching for any occurrence of the
> > > > prompt\
> > > > ++  "Generate a regex for searching for any occurrence of the
> > > > prompt
> > > LGTM, but you might want to shorten the docstring so that the
> > > first line is a synopsis.  This would make it easier for upstream
> > > to accept.
> > 
> > > > +-  "Run a loading-ish COMMAND that wants to pick up type
> > > > errors\
> > > > ++  "Run a loading-ish COMMAND that wants to pick up type
> > > > errors
> > > As above, what is "loading-ish", are "things like that" relevant,
> > > etc.
> > 
> > I decided not to make these corrections. Because I am not familiar
> > with Haskell and am just one learner, and am not good at English.
> 
> Hmmm, you were right.
> https://github.com/haskell/haskell-mode/pull/1780#issuecomment-1133107992
> 
> I will try, but I am a little apprehensive.
> Is it possible for you to continue to review it here? Or should I
> just change the fix to change the parameters to suppress the error
> and resolve this issue?
I can review it here, but my own criteria might be weaker than
upstream's.  While I'm confident in my English, I'm less well read on
the operations of haskell-mode, I must admit :)

Cheers